<?xml version="1.0"?>
<config>
  <modules>
    <Theme_Ajax>
      <version>0.1.0</version>
    </Theme_Ajax>
  </modules>
  <frontend>
    <routers>
      <catalog>
        <args>
          <modules>
            <Theme_Ajax before="Mage_Catalog">Theme_Ajax_Catalog</Theme_Ajax>
          </modules>
        </args>
      </catalog>
      <ajax>
        <use>standard</use>
          <args>
            <module>Theme_Ajax</module>
            <frontName>ajax</frontName>
          </args>
      </ajax>
    </routers>
  </frontend>
  <global>
    <rewrite>
        <theme_ajax_checkout_cartcontroller>
            <from><![CDATA[#^/checkout/cart/#]]></from> <!-- Mage_Checkout_CartController  -->
            <to>/ajax/checkout_cart/</to> <!-- Theme_Ajax_Checkout_CartController  -->
        </theme_ajax_checkout_cartcontroller>
        <theme_ajax_catalog_productcontroller>
            <from><![CDATA[#^/catalog/product/#]]></from> <!-- Mage_Catalog_ProductController  -->
            <to>/ajax/catalog_product/</to> <!-- Theme_Ajax_Catalog_ProductController  -->
        </theme_ajax_catalog_productcontroller>
        <theme_ajax_catalog_categorycontroller>
            <from><![CDATA[#^/catalog/category/#]]></from> <!-- Mage_Catalog_CategoryController -->
            <to>/ajax/catalog_category</to> <!-- Theme_Ajax_Catalog_CategoryController -->
        </theme_ajax_catalog_categorycontroller>
    </rewrite>
    <helpers>
      <ajax>
        <class>Theme_Ajax_Helper</class>
      </ajax>
    </helpers>
  </global>
  <admin>
  <routers>
    <ajax>
      <use>admin</use>
      <args>
        <module>Theme_Ajax</module>
        <frontName>ajax</frontName>
      </args>
    </ajax>
  </routers>
  </admin>
</config>
